<?php
/*
|--------------------------------------------------------------------------
| api_log.php 日志表
|--------------------------------------------------------------------------
*/

return array
(
	# 表名
	'name' => 'api_response',
	# 显示给用户看的名称
	'lang' => '接口响应信息',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),

		'api_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '接口ID',
			'default' 	=> '',
			'desc' 		=> '接口ID',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'parent_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '上级ID',
			'default' 	=> '-1',
			'desc' 		=> '上级ID',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'list'		=> true,
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '字段',
			'default' 	=> '',
			'desc' 		=> '请输入字段',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'type'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '类型',
			'default' 	=> '',
			'desc' 		=> '请输入类型',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'desc'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '描述',
			'default' 	=> '',
			'desc' 		=> '请输入描述',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '数据状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '操作时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
);
