<?php
/*
|--------------------------------------------------------------------------
| role.php 角色表
|--------------------------------------------------------------------------
*/
# 定义几个常用的选项
$option = array
(
	1 => '可用',
	2 => '不可用',
);
$area = function()
{
	return Dever::load('setting/area-getAll', array('where_area_id_parent' => 0));
};

$config = array
(
	# 表名
	'name' => 'group',
	# 显示给用户看的名称
	'lang' => '部门设置',
	'order' => 8,
	# 表类型 值为\innodb\myisam\，默认为innodb，仅在mysql类型有效
	'type' => 'innodb',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '组ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'company_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '公司名称',
            'default'   => '',
            'desc'      => '公司名称',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
        ),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '部门名称',
			'default' 	=> '',
			'desc' 		=> '请输入部门名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			//'list_name'	=> '角色名',//定义列表页的名称
			'list'		=> true,
			'edit'		=> true,
		),

		'area'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '区域',
			'default' 	=> '',
			'desc' 		=> '请选择区域',
			'match' 	=> 'option',
			//'update'	=> 'checkbox',
			//'option'	=> $area,
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序-数字越大越靠前',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			//'list'		=> true,
			'order'		=> 'desc',
			//'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	# 默认值
	'default' => array
	(
		'col' => 'company_id,name,state,cdate',
		'value' => array
		(
			'1, "默认部门",1,' . DEVER_TIME,
		),
		
	),

	
	# 后台管理 此处的功能全部开放
	'manage' => array
	(
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'request' => array
    (
        'getCompanyIds' => array
        (
            'type' => 'all',
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'order' => array('id' => 'desc'),
            'group' => 'company_id',
            'col' => '*|company_id',
        ),

        'getData' => array
        (
            'type' => 'all',
            'option' => array
            (
                'ids' => array('yes-id', 'in'),
                'state' => 1,
            ),
            'order' => array('id' => 'desc'),
            'col' => '*',
        ),

        'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'company_id' => 'yes',
				'ids' => array('yes-id', 'in'),
				'noid' => array('yes-id', 'not in'),
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('id' => 'desc'),
			'col' => 'id,id as value, name',
		),
    ),
);

return $config;