<?php

namespace Manage\src;

use Dever;

class Group
{
    private $default = array
    (
        'value' => -1,
        'name' => '请选择',
    );

    private $search_default = array
    (
        'value' => -1,
        'name' => '选择公司',
    );

    public function get_api()
    {
        # 当前联动级别
        $level_num = Dever::input('level_num');
        # 一般为id
        $level_id = Dever::input('level_id');
        # 是否是搜索列表页
        $level_search = Dever::input('level_search');
        if ($level_search) {
            $default = $this->search_default;
            if ($level_num == 1) {
                $default['name'] = '选择公司';
            } elseif ($level_num == 2) {
                $default['name'] = '选择部门';
            }
        } else {
            $default = $this->default;
        }

        if ($level_id < 0) {
            Dever::alert('error');
        }

        if ($level_num == 1) {
            $data = Dever::db('manage/company')->getAll();
        } elseif ($level_num == 2) {
            $data = Dever::db('manage/group')->getAll(array('company_id' => $level_id));
        }

        if (!$data) {
            Dever::alert('error');
        }

        if ($level_search || $level_num >= 1) {
            array_unshift($data, $default);
        }
        $result['level_total'] = 2;
        $result['list'] = $data;
        return $result;
    }

    public function string($info, $im = ',')
    {
        if ($info) {
            if (is_string($info)) {
                $info = explode(',', $info);
            }
            
            $result = array();
            foreach ($info as $k => $v) {
                if ($k == 0) {
                	$company = Dever::db('manage/company')->one($v);
                    $result[$k] = $company['name'];
                } elseif ($k == 1) {
                    $group = Dever::db('manage/group')->one($v);
                    $result[$k] = $group['name'];
                }
            }
            return implode($im, $result);
        }
        return '';
    }

    public function update($id, $name, $data)
    {
        $info = Dever::db('manage/admin_group')->find($id);
        $company = Dever::param('company', $data);
        if ($company) {
            $update['where_id'] = $info['id'];
            $update['company_id'] = $company[0];
            $update['group_id'] = $company[1];
            Dever::db('manage/admin_group')->update($update);
        }
    }

    # 同步
    public function syncOne($id)
    {
        $data = Dever::db('manage/admin_group')->select(array('admin_id' => $id));
        if ($data) {
            $company = $group = array();
            foreach ($data as $k => $v) {
                $company[$v['company_id']] = $v['company_id'];
                $group[$v['group_id']] = $v['group_id'];
            }
            $company = implode(',', $company);
            $group = implode(',', $group);

            $up['where_id'] = $id;
            $up['company'] = $company;
            $up['group'] = $group;
            Dever::db('manage/admin')->update($up);
        }
    }

    # 同步
    public function sync_api()
    {
        $data = Dever::db('manage/admin')->select();
        if ($data) {
            foreach ($data as $k => $v) {
                $this->syncOne($v['id']);
            }
        }

        return 'ok';
    }
}