<?php
namespace Manage\Src\Lib;

use Dever;

class Log
{
    /**
     * 记录后台操作日志
     *
     * @return string
     */
    public static function add($project, $table, $menu, $name, $method, $input = array(), $tid = -1)
    {
        if (!$input) {
            return;
        }
        if (!$menu) {
            return;
        }

        if ($method == 'insert') {
            $method = 1;
        } elseif ($method == 'update') {
            $method = 2;
        }
        $admin = Dever::load('manage/auth.data');
        if (!$name) {
            $project_name = Dever::load("manage/project.name", $project);
            $table_name = Dever::load("manage/database.getTableName", $project, $table);
            $name = $project_name . '.' . $table_name;
        }

        if (!isset($input['ID'])) {
            $array['ID'] = $tid; 
            $array += $input;
            $input = $array;
        }
        
        $param['project'] = $project;
        $param['table'] = $table;

        if (is_numeric($menu)) {
            $menu_info = Dever::db('manage/menu')->one($menu);
        } else {
            $menu_info = Dever::db('manage/menu')->one(array('key' => $menu));
        }
        if (!$menu_info) {
            return;
        }
        
        $menu_array = array();
        $parent = Dever::db('manage/menu')->one($menu_info['menu_id']);
        if ($parent) {
            $group = Dever::db('manage/menu_group')->one($parent['group_id']);
            $menu_array = array($group['id'], $parent['id'], $menu);
        } else {
            $menu_array = array($menu);
        }

        $param['menu_id'] = implode(',', $menu_array);
        $param['name'] = $name;
        $param['type'] = $method;
        $param['info'] = Dever::json_encode($input);
        $param['admin'] = $admin['id'];
        $param['tid'] = $tid;
        $param['ip'] = Dever::ip();
        return Dever::load('manage/log-insert', $param);
    }

    public function getInfo($id)
    {
        $info = Dever::db('manage/log')->one($id);
        $info = Dever::json_decode($info['info']);
        //print_r($info);die;
        return Dever::table($info);
    }

    public function getMenuInfo($menu)
    {
        if (!$menu) {
            return '';
        }
        $array = explode(',', $menu);
        $group = Dever::db('manage/menu_group')->one($array[0]);
        $parent = Dever::db('manage/menu')->one($array[1]);
        $menu = Dever::db('manage/menu')->one($array[2]);

        return $group['name'] . '<br />' . $parent['name'] . '<br />' . $menu['name'];
    }
}
